---
lang: en
title: 'API docs: repository.applicationwithrepositories.mountcomponentrepositories'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.applicationwithrepositories.mountcomponentrepositories.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [ApplicationWithRepositories](./repository.applicationwithrepositories.md) &gt; [mountComponentRepositories](./repository.applicationwithrepositories.mountcomponentrepositories.md)

## ApplicationWithRepositories.mountComponentRepositories() method

<b>Signature:</b>

```typescript
mountComponentRepositories(component: Class<unknown>): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  component | <code>Class&lt;unknown&gt;</code> |  |

<b>Returns:</b>

`void`


